Page MenuHomePhabricator

[Config] Disable Page Previews EventLogging instrumentation
Closed, ResolvedPublic1 Story Points

Description

In T181493, it had been envisaged to disable the latest experiment eight days after enabling it. This had to be postponed because of the Hive refinement issues that were discovered (T182000) and the holidays, but by now we should have a sufficient amount of non-corrupted data collected.

The process should be the same as last time: T178500: Stop sending data for Page Previews enwiki and dewiki A/B test (again); a configuration only change.

Developer notes

Per T178500#3728898, we'd prefer not to disable the feature for those logged-in users who currently have it enabled via their preferences. We'll keep the anonymous enabled rates the same but turn off event logging:

$wgPopupsEventLogging = false;

Testing / acceptance criteria

  • A logged in user can enable page previews.
  • No events are logged.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2018, 12:41 AM
Jhernandez added a comment.EditedJan 30 2018, 5:19 PM

From discussion in grooming with @Tbayer

  • We have enough data, so it is up to us when to disable. Next week would be good, for example.
pmiazga set the point value for this task to 1.Jan 30 2018, 5:19 PM

Setting PopupsEventLogging to false seems to be what's needed

@ovasileva: The FTEs identified this task as being ready to work on in the next iteration.

ovasileva triaged this task as Normal priority.Feb 1 2018, 4:25 PM
Jdlrobson updated the task description. (Show Details)Feb 1 2018, 10:32 PM
phuedx updated the task description. (Show Details)Feb 2 2018, 1:48 PM
Niedzielski renamed this task from Disable Page Previews EventLogging instrumentation to [Config] Disable Page Previews EventLogging instrumentation.Feb 9 2018, 1:39 PM
Niedzielski updated the task description. (Show Details)

We can pull it in now, I was waiting to confirm that we didn't have a bug in T182314: Analyze results of enwiki and dewiki page previews a/b test, but it's looking like we're fairly confident

pmiazga claimed this task.Feb 20 2018, 7:50 PM

Change 412996 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[operations/mediawiki-config@master] Disable Page Previews EventLogging instrumentation

https://gerrit.wikimedia.org/r/412996

Change 412996 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable Page Previews EventLogging instrumentation

https://gerrit.wikimedia.org/r/412996

Mentioned in SAL (#wikimedia-operations) [2018-02-21T15:03:59Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:412996|Disable Page Previews EventLogging instrumentation (T185973)]] (duration: 01m 13s)

pmiazga removed pmiazga as the assignee of this task.Feb 21 2018, 3:09 PM
pmiazga removed a project: Patch-For-Review.
pmiazga added a subscriber: pmiazga.

Deployed to production. @phuedx, @Tbayer can you signoff?